## iguanaIR-1.0pre2.tar.bz2

=== docs/Makefile ===
all:
	./pullDocs --target . --ssh

clean:
	rm $(filter-out Makefile pullDocs, $(wildcard *))
