=== packaging/fedora/iguanaIR-1.0pre2/drivers/Makefile ===
include ../Make.settings

DRIVERS=libusbpre1.so libusb.so
LISTS=../list.o

all: $(DRIVERS)

libusb.so: libusb.c $(LISTS) Makefile
#	$(CC) $(CPPFLAGS) $(CFLAGS) $(SHAREARG) $(LDFLAGS) -lusb-1.0 $< $(LISTS) -o $@
	$(CC) $(CPPFLAGS) $(CFLAGS) $(SHAREARG) -lusb-1.0 $< $(LISTS) -o $@

libusbpre1.so: libusbpre1.c $(LISTS) Makefile
	$(CC) $(CPPFLAGS) $(CFLAGS) $(SHAREARG) -lusb $< $(LISTS) -o $@

.PHONY: clean
clean:
	$(RM) -f *~ *.o $(DRIVERS)

.PHONY: distclean
distclean: clean
	$(RM) -f Makefile


Makefile: ../config.status Makefile.in ../Make.settings.in
	cd ..; $(SHELL) ./config.status
