=== packaging/fedora/iguanaIR-1.0pre2/packaging/debian/changelog ===
iguanair (1.0pre2) jaunty; urgency=low

  * Works with Ubuntu 9.10. Supports slot device, bug fixes

 -- Ben Luey <bluey@iguanaworks.net>  Sun, 08 Nov 2009 08:48:53 -0600

iguanair (1.0pre1) jaunty; urgency=low

  * Pre Release of 1.0.

 -- Ben Luey <bluey@iguanaDev>  Sun, 12 Jul 2009 18:07:25 -0400

iguanair (0.99.1-4ubuntu1) gutsy; urgency=low

  * 0.99 IguanaWorks Release

 -- Ben Luey <bluey@iguanaDevUbuntu64>  Sun, 23 Nov 2008 16:36:37 -0500

iguanair (0.98.1-1) unstable; urgency=low

  * Upgrade to the 0.98 source.
  * Fixed some debian specific packaging dependencies

 -- IguanaWorks Support <support@iguanaworks.net>  Mon, 18 Aug 2008 20:42:17 -0600

iguanair (0.97.1-1) unstable; urgency=low

  * Upgraded to the 0.97 source (fixing udev)

 -- IguanaWorks Support <support@iguanaworks.net>  Mon, 18 Aug 2008 20:35:47 -0600

iguanair (0.95.1-1) unstable; urgency=low

  * Upgraded to the 0.95 source (fixing udev)

 -- IguanaWorks Support <support@iguanaworks.net>  Fri, 27 Mar 2008 23:28:45 +1000

iguanair (0.94.1-1) unstable; urgency=low

  * Upgraded to the 0.94 source.

 -- IguanaWorks Support <support@iguanaworks.net>  Mon, 24 Mar 2008 07:23:45 +1000

iguanair (0.93.1-5) unstable; urgency=low

  * Fixed some packaging problems. 

 -- IguanaWorks Support <support@iguanaworks.net>  Mon, 30 Feb 2008 18:01:45 +1000

iguanair (0.93.1-2) unstable; urgency=low

  * Fix good packaging.

 -- IguanaWorks Support <support@iguanaworks.net>  Thu, 14 Jun 2007 00:17:37 -0400
