=== packaging/fedora/iguanaIR-1.0pre2/packaging/debian/control ===
Source: iguanair
Section: utils
Priority: optional
Maintainer: IguanaWorks [support@iguanaworks.net]
Build-Depends: debhelper (>=5), libpopt-dev (>=1.10), libusb-dev (>=0.1.11), libusb-1.0-0-dev,  python-dev (>=2.4), autoconf, automake, swig, fakeroot
Standards-Version: 3.7.2.2

Package: iguanair
Architecture: any
Section: utils
Depends: libc6 (>=2.0), udev (>= 0.99), libusb-0.1-4 (>= 0.1.11), libpopt0 (>=1.10)
Essential: no
Recommends: lirc
Description: This is the IguanaWorks USB IR daemon/driver and
             client. Software allows you to control your IguanaWorks
             USB IR device. Includes software for use with lirc.

Package: iguanair-python
Section: utils
Architecture: any
Depends: iguanair (= ${binary:Version}), ${shlibs:Depends}
Essential: no
Description: This is the Python client bindings IguanaWorks USB IR
	     driver.


Package: iguanair-reflasher
Section: utils
Architecture: all
Depends: iguanair-python (= ${binary:Version})
Essential: no
Description: The program will reflash the IguanaWorks USB IR Transceiver with the
		the latest firmware.
